/*
 * GetNewAddressResult.java
 *
 * Copyright 2014 the Monache.org.
 * http://www.monache.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.monache.lib.api.result;

import org.monache.lib.json.JsonMember;

/**
 * getnewaddressの実行結果。
 * 
 * @author monache.org
 * @param <T>
 * @since 1.0
 */
public class GetNewAddressResult {

	private String jsonString = null;

	@JsonMember(name="address")
	private String address = null;
	
	/**
	 * 
	 * @since 1.0
	 */
	public GetNewAddressResult() {
	}

	/**
	 * @return jsonString
	 * @since 1.0
	 */
	public String getJsonString() {
		return jsonString;
	}

	/**
	 * @param jsonString セットする jsonString
	 * @since 1.0
	 */
	public void setJsonString(String jsonString) {
		this.jsonString = jsonString;
	}

	/**
	 * @return address
	 * @since 1.0
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * @param address セットする address
	 * @since 1.0
	 */
	public void setAddress(String address) {
		this.address = address;
	}

	
}
